STRUCT TEMPLAT(3)

NAME
boost::xpressive::regex_traits

SYNOPSIS

// In header: <boost/xpressive/regex_traits.hpp>
template<typename Char, typename Impl>
struct regex_traits {
  // types
  typedef Impl::locale_type locale_type;
  // construct/copy/destruct
  regex_traits();
  regex_traits(locale_type const &);
};

DESCRIPTION

Thin wrapper around the default regex_traits implementation, either cpp_regex_traits or c_regex_traits

  regex_traits public construct/copy/destruct

    1.

    regex_traits();

    2.

    regex_traits(locale_type const & loc);